#! /bin/bash

logger -t 'authkeys' -p authpriv.info "Provide keylist for $1."

source /etc/erad-base/setenv.sh
source $base_include_dir/common

case X$1 in
	X)
		echo_err $FUNCNAME "User must be specified!"
		exit 1
	;;
	Xroot)
		cat $service_keys $root_keys
		[ -f '/root/.ssh/authorized_keys' ] && cat '/root/.ssh/authorized_keys'
	;;
	Xsiteman) # Allow only local keys. These user's can't change it anyway.
		cat $monitoring_keys 
		# Not this is the same as ~siteman/.ssh/authorized_keys2
	;&
	Ximage) ;; # Ignore
	Xbackup|Xsiteadmin|Xmedsrv|X*)	
		cat $service_keys $root_keys $medsrv_keys
	;&
	Xbackup|Xsiteadmin|Xmedsrv|Xsiteman|X*)	
		# Emulate default auth.keys file for this users (user editable - mostly)
		if (/usr/bin/id -u $1 && /usr/bin/id -g $1) > /dev/null 2>&1; then
			homedir=`get_user_home $1`
			if [ $? -eq 0 -a -n "$homedir" ]; then
				[ -f "$homedir/.ssh/authorized_keys" ] && cat "$homedir/.ssh/authorized_keys"
			fi
		fi
	;;
esac | sort -u
